'use strict';
/*
window.addEventListener('load', function() {
  var popup = null;
  var buttons = document.querySelectorAll('button');

  for (var i = 0; i < buttons.length; i++) {
    var button = buttons[i];
    button.addEventListener('click', function(e) {
      var target = e.target;
      var actualWindow = window;
      if (target.classList.contains('mozbrowser')) {
        actualWindow = window.parent;
      }

      switch (target.dataset.action) {
        case 'open':
          var param1 = null,
              param2 = null;
          var hash = target.dataset.url.split('#');
          if (hash.length > 1) {
            param1 = hash[1];
            param2 = hash[1];
          }
          popup = actualWindow.open(target.dataset.url, param1, param2);
          break;
        case 'close':
          popup.close();
          break;
        default:
          break;
      }
    });
  }
});
*/
$("#sharefacebook").click(function () {
	var facebookId = "611722868919524";
	var facebookUriApp = "https://www.facebook.com";
	var iconURL = "http://www.yalla-ya.com/wp-content/uploads/2014/03/230_mb1.png";
	var link = "http://www.yalla-ya.com/"; //link a la pagina de metro yalla-ya
	var name = "Metro y Metrobús"; //titulo
	var caption = "Descarga Metro y Metrobús"; // subtitulo
	var description = "Metro y Metrobús es una aplicación diseñada para los viajeros en la ciudad de México. encuentra rutas, transbordes, estaciones cercanas, explora las lineas traza tu ruta en mapas y más."; //Descripcion
	var redirect_uri ="http://www.yalla-ya.com/"; //pagina al darle click
	
	var facebookShare = "https://www.facebook.com/dialog/feed?app_id="+facebookId+"&picture="+iconURL+"&link="+link+"&name="+name+"&caption="+ caption +"&description="+description+"&redirect_uri="+redirect_uri; 
	console.log(facebookShare);
	window.open(facebookShare);
});

$("#sharetwitter").click(function () {
	var description = "Metro y Metrobús D.F. Encuentra la estación mas cercana y más";
	var appURL = "http://www.yalla-ya.com/";
	
	var twitterShare = 'https://mobile.twitter.com/compose/tweet?status='+ description+ " " +appURL;
	console.log(twitterShare);
	window.open(twitterShare);
});
